
QGIS Application - Bug report #21796

Layer Symbology/Legend in Layers Panel not reflecting Filter state

2019-04-08 04:37 PM - Brett Carlock

Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29611

Description

If I take a layer that has 458 features intially, symbolized using Categorized renderer by CompleteStreetName (so each has a random

color assigned), the layer list will show all features in the panel when expanded (as expected).

If I turn on count features, it'll show me 458 features next to the Layer name, and a [1] next to each feature under the Layer's name (as

expected).

However, if I put a filter on this same layer that reduces the number of features to 24, the layer will still show all 458 originally classified

features, each with their current [1] count. I do not expect this. I would expect the filtered features to also be similarly filtered out of the

layer symbology/legend/count.

History

#1 - 2019-04-08 08:34 PM - Alexis Roy-L

This is not a bug this is normal. My feature in review will solve this, if used properly.

The feature count is the count of feature for a given symbol, the legend filter filters out symbols that are not visible. They do not interact and some people

might need to have the total count for a given symbol even when out of scope.

#2 - 2019-04-09 03:50 AM - Brett Carlock

- File Annotation 2019-04-08 214947.jpg added

Alexis Roy-L wrote:

This is not a bug this is normal. My feature in review will solve this, if used properly.

The feature count is the count of feature for a given symbol, the legend filter filters out symbols that are not visible. They do not interact and some

people might need to have the total count for a given symbol even when out of scope.

I'm talking about the Filter for the data provider/layer (as pictured in the attached screenshot). If that filter is set, those features are no longer available to

query, select, or do any operations on. The absolutely 100% should be filtered out of the layer's legend's symbology and the counts should reflect this.

#3 - 2019-04-10 05:43 PM - Giovanni Manghi

- Operating System deleted (Win10 x64 Pro (1809 Build 17763.404))

- Category changed from GUI to Map Legend

2025-04-26 1/2



Files

Annotation 2019-04-08 214947.jpg 105 KB 2019-04-09 Brett Carlock
